cURL
curl --request GET \
--url https://app.allyy.io/api/model/v1.0/customer/{customerId}/Model/{modelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.allyy.io/api/model/v1.0/customer/{customerId}/Model/{modelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.allyy.io/api/model/v1.0/customer/{customerId}/Model/{modelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"validation": [
{
"property": "<string>",
"message": "<string>"
}
],
"info": {}
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataSet": "<string>",
"title": "<string>",
"description": "<string>",
"hasStreamlitDashboard": true,
"modelTrainingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trainingStarted": "2023-11-07T05:31:56Z",
"trainingFinished": "2023-11-07T05:31:56Z",
"trainingErrorCode": 123,
"auRoc": 123,
"responsePredictionConfiguration": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"dataSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataSet": "<string>",
"name": "<string>",
"description": "<string>",
"entityLists": [
"<string>"
],
"classes": [
{
"name": "<string>",
"value": "<string>"
}
],
"excludedAttributes": [
{
"alias": "<string>",
"originalName": "<string>"
}
],
"excludedClasses": [
{
"className": "<string>"
}
],
"contactTypes": [
"<string>"
],
"contactSegments": [
"<string>"
],
"responseValues": [
{
"responseValue": {
"responseType": "<string>",
"categoricalValue": "<string>",
"numericValue": 123,
"boolValue": true
},
"isPositive": true
}
],
"responsePredictionFeaturesCriterias": [
{
"responseValue": {
"responseType": "<string>",
"categoricalValue": "<string>",
"numericValue": 123,
"boolValue": true
},
"includedFixedPeriods": [],
"includeRelativePeriods": true
}
],
"lstmResponseTypes": [
"<string>"
],
"includeSubscriptionChangesFeatures": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"cutOffPeriod": 123,
"daysToLastCutOffEnd": 123,
"shuffleData": true,
"dataSplit": {
"test": 123,
"evaluation": 123,
"train": 123
}
},
"recommenderSystemConfiguration": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"dataSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataSet": "<string>",
"name": "<string>",
"description": "<string>",
"entityLists": [
"<string>"
],
"classes": [
{
"name": "<string>",
"value": "<string>"
}
],
"excludedAttributes": [
{
"alias": "<string>",
"originalName": "<string>"
}
],
"excludedClasses": [
{
"className": "<string>"
}
],
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"cutOffPeriod": 123,
"daysToLastCutOffEnd": 123,
"responseValues": [
{
"responseValue": {
"responseType": "<string>",
"categoricalValue": "<string>",
"numericValue": 123,
"boolValue": true
},
"weight": 123
}
],
"previousResponseSequenceSize": 123
},
"dmPropensityConfiguration": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"dataSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataSet": "<string>",
"name": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"cutOffPeriod": 123,
"daysToLastCutOffEnd": 123,
"holdoutStartDate": "2023-11-07T05:31:56Z",
"holdoutEndDate": "2023-11-07T05:31:56Z",
"holdoutCutOffPeriod": 123,
"holdoutDaysToLastCutOffEnd": 123,
"responseDefinitions": [
"<string>"
]
},
"dmExpectedAmountConfiguration": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"dataSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataSet": "<string>",
"name": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"cutOffPeriod": 123,
"daysToLastCutOffEnd": 123,
"holdoutStartDate": "2023-11-07T05:31:56Z",
"holdoutEndDate": "2023-11-07T05:31:56Z",
"holdoutCutOffPeriod": 123,
"holdoutDaysToLastCutOffEnd": 123,
"responseDefinitions": [
"<string>"
]
},
"subscriptionChurnConfiguration": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"dataSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataSet": "<string>",
"name": "<string>",
"description": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"cutOffPeriod": 123,
"daysToLastCutOffEnd": 123,
"holdoutStartDate": "2023-11-07T05:31:56Z",
"holdoutEndDate": "2023-11-07T05:31:56Z",
"holdoutCutOffPeriod": 123,
"holdoutDaysToLastCutOffEnd": 123,
"numberOfPeriods": 123,
"targetWindowInDays": 123
}
}
}Model API
Get model
GET
/
api
/
model
/
v1.0
/
customer
/
{customerId}
/
Model
/
{modelId}
cURL
⌘I